LibreOffice LibreOffice 25.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Enterable.h File Reference
`#include "uno/environment.h"`

Go to the source code of this file.

## Classes
struct | uno_Enterable
| A struct pReserved needs to point to, if implementing a purpose environment. More...

## Typedefs
typedef void | uno_Enterable_enter(void *context)
| Generic function type declaration for entering an Environment.
typedef void | uno_Enterable_leave(void *context)
| Generic function type declaration for leaving an Environment.
typedef void | uno_Enterable_callInto_v(void *context, uno_EnvCallee *pCallee, va_list *pParam)
| Generic function type declaration for calling into an Environment.
typedef void | uno_Enterable_callOut_v(void *context, uno_EnvCallee *pCallee, va_list *pParam)
| Generic function type declaration for calling out of an Environment.
typedef int | uno_Enterable_isValid_v(void *context, rtl_uString **ppReason)
| Generic function type declaration for checking if calling on managed object is valid.

## Typedef Documentation

## ◆ uno_Enterable_callInto_v

typedef void uno_Enterable_callInto_v(void *context, uno_EnvCallee *pCallee, va_list *pParam)

Generic function type declaration for calling into an Environment.

(http://wiki.openoffice.org/wiki/Uno/Binary/Spec/Environment_Stack)

Parameters

  context |
  pCallee | the function to be called
  pParam | the parameter pointer to be passed to the function

Since
  UDK 3.2.7

## ◆ uno_Enterable_callOut_v

typedef void uno_Enterable_callOut_v(void *context, uno_EnvCallee *pCallee, va_list *pParam)

Generic function type declaration for calling out of an Environment.

(http://wiki.openoffice.org/wiki/Uno/Binary/Spec/Environment_Stack)

Parameters

  context |
  pCallee | the function to be called
  pParam | the parameter pointer to be passed to the function

Since
  UDK 3.2.7

## ◆ uno_Enterable_enter

typedef void uno_Enterable_enter(void *context)

Generic function type declaration for entering an Environment.

(http://wiki.openoffice.org/wiki/Uno/Binary/Spec/Environment_Stack)

Parameters

  context |

Since
  UDK 3.2.7

## ◆ uno_Enterable_isValid_v

typedef int uno_Enterable_isValid_v(void *context, rtl_uString **ppReason)

Generic function type declaration for checking if calling on managed object is valid.

(http://wiki.openoffice.org/wiki/Uno/Binary/Spec/Environment_Stack)

Parameters

  context |
  ppReason | the reason, in case calling is not valid

Returns
  0 == calling is not valid, 1 == calling is valid

Since
  UDK 3.2.7

## ◆ uno_Enterable_leave

typedef void uno_Enterable_leave(void *context)

Generic function type declaration for leaving an Environment.

(http://wiki.openoffice.org/wiki/Uno/Binary/Spec/Environment_Stack)

Parameters

  context |

Since
  UDK 3.2.7